<?php
// $Id: theme-settings.php,v 1.1.2.4 2009/10/27 00:55:35 psynaptic Exp $

/**
 * Implementation of THEMEHOOK_settings() function.
 *
 * @param $saved_settings
 *   An array of saved settings for this theme.
 * @return
 *   A form array.
 */
function phptemplate_settings($saved_settings) {
  $defaults = array(
    'clean_rebuild_registry' => 0,
    'clean_enable_960_grid' => 0,
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  $form['clean_rebuild_registry'] = array(
    '#type' => 'checkbox',
    '#title' => t('Rebuild theme registry on every page.'),
    '#default_value' => isset($saved_settings['clean_rebuild_registry']) ? $saved_settings['clean_rebuild_registry'] : 0,
    '#description' => t('During theme development, it can be very useful to continuously <a href="!link">rebuild the theme registry</a>.<br/><strong>WARNING:</strong> this is a huge performance penalty and must be turned off on production websites.', array('!link' => 'http://drupal.org/node/173880#theme-registry')),
  );

  $form['clean_enable_960_grid'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable 960 grid'),
    '#default_value' => $saved_settings['clean_enable_960_grid'],
    '#description' => t('Enable this option to show a 12 column 960px wide grid.'),
  );

  return $form;
}
